Subject: problems on SCO

From: Joel Rosi-Schwartz <[email-masked]>
Date: Thu, 23 Mar 1995 13:16:27 +0000 (BST)

Hi,

I have just built wu-ftp on SCO Release = 3.2v4.2 and am having
several problems. It is all built using gcc 2.6.3 and the compile
contained on significant problems.

The first problem was with the getcwd which is provided in sco.c
It fails rather abysmally on NFS partitions. I replaced it with
the SCO getcwd and it seems to function okay. Are there any gotchas
with this.

The second problem relates to ftp/anonymous usage. I get a failure
on opening the socket in getdatascocket(). I have added a bit of
debugging code:

	s = socket(AF_INET, SOCK_STREAM, 0);
    if (s < 0) {
		syslog(LOG_WARNING, "socket (AF_INET): %m");
		goto bad;
	}

which produces output of:

	425 Can't create data socket (193.118.186.132,20): Protocol error.

Before I cloned the devices into ~ftp/dev I got the following error:

	425 Can't create data socket (0.0.0.0,20): Bad file number

so I have made some progress. But as the man said, "Close, but no cigar" :)

The devices I cloned are:

/var/services/ftpd/dev:
total 4
crw-rw-rw-   1 root     other     40, 76 Mar 23 12:41 e3C0
drwxrwxr-x   2 root     other        144 Mar 23 12:50 inet
crw-rw-rw-   1 root     other     40, 28 Mar 23 12:41 llcloop
crw-rw-rw-   1 root     other     40, 41 Mar 23 12:41 log
crw-rw-rw-   1 root     other     40, 39 Mar 23 12:41 mpip
crw-rw-rw-   1 root     other      4,  2 Mar 23 12:34 null
crw-rw-rw-   1 root     other     40, 42 Mar 23 12:41 ptmx
crw-rw-rw-   1 root     other     40, 22 Mar 23 12:41 socksys
crw-rw-rw-   1 root     other     40, 60 Mar 23 12:41 spx
crw-rw-rw-   1 root     other     40, 75 Mar 23 12:41 vw

/var/services/ftpd/dev/inet:
total 0
crw-rw-rw-   1 root     other     40, 19 Mar 23 12:47 arp
crw-rw-rw-   1 root     other     40, 27 Mar 23 12:47 icmp
crw-rw-rw-   1 root     other     40, 23 Mar 23 12:47 ip
crw-rw-rw-   1 root     other     40, 24 Mar 23 12:47 rip
crw-rw-rw-   1 root     other     40, 29 Mar 23 12:34 tcp
crw-rw-rw-   1 root     other     40, 30 Mar 23 12:36 udp

I am aware that this is overkill, but I am looking for what I am
missing and not getting very far.

Any advice would be gratefully appreciated.

Regards,
Joel
-- 
     ==================================================================
     ||        T E C H N E   R E S E A R C H    L I M I T E D        ||
     ||  ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++  ||
     ||                     Joel Rosi-Schwartz                       ||
     ||   Hildorien House            +   Email: [email-masked]    ||
     ||   12 Waverley Way            +                               ||
     ||   Finchampstead, Wokingham   +   Phone: +44 (734) 730.260    ||
     ||   Berkshire RG11 4YD (UK)    +   Fax:   +44 (734) 730.272    ||
     ==================================================================